﻿using EJGrid.Models;
using Syncfusion.EJ.Export;
using Syncfusion.JavaScript;
using Syncfusion.XlsIO;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Script.Services;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;
namespace ASPApp
{
    public partial class GridFeatures : System.Web.UI.Page
    {
        
        protected void Page_Load(object sender, EventArgs e)
        {
            this.Grid1.DataManager = new DataSource() { Json = OrderRepository.GetAllRecords(), 
               Adaptor = "remoteSaveAdaptor",
               InsertURL = "GridFeatures.aspx/Insert",
               RemoveURL = "GridFeatures.aspx/Remove", 
               UpdateURL="GridFeatures.aspx/Update" };
        }
        [WebMethod]
        [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        public static object Update(EditableOrder value)
        {
            OrderRepository.Update(value); //To update the record
            return value;
        }
        [WebMethod]
        [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        public static object Insert(EditableOrder value)
        {
            OrderRepository.Add(value); //To add a new record
            return value;
        }
        [WebMethod]
        [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        public static void Remove(int key)
        {
            OrderRepository.Delete(key); //To delete a record
        } 
    }
}
